Author Topic: Upgrade from Zentyal 6.2 to 7.0 is now available  (Read 1767 times)

blorente

  • Zentyal Staff
  • Zen Apprentice
  • *****
  • Posts: 21
  • Karma: +69/-0
    • View Profile
Upgrade from Zentyal 6.2 to 7.0 is now available
« on: March 08, 2021, 04:40:57 pm »
Hi all,

The upgrade path from Zentyal Server Development 6.2 to 7.0 has been published now. When you upgrade the 'zentyal-core' package to its latest version, "Upgrade button" will appear on the Dashboard.

We would recommend you to follow this checklist to avoid issues:

* Make sure you don't have pending updates
* Back up your server and data before upgrading
* Make sure that there are no errors in the /var/log/zentyal/zentyal.log file
* Make sure that there is space available on the disk
* Make sure that the server is updated
* Make sure that there are no broken packages
* Make sure that there are no errors in the internal Samba database or in the MySQL databases
* Make sure that you have Internet connectivity
* Click on the Upgrade button on the Dashboard
* Make sure that the packages have been updated

The official documentation for Zentyal Server 7.0 will include more detailed instructions (it will be published shortly).

Looking forward to receiving your feedback and comments.
Zentyal Server Lead Developer

Sand_man

  • Zen Samurai
  • ****
  • Posts: 280
  • Karma: +24/-0
    • View Profile
Re: Upgrade from Zentyal 6.2 to 7.0 is now available
« Reply #1 on: March 08, 2021, 04:47:54 pm »
Fine! Thank you, we will update.

gabor.strama

  • Zen Apprentice
  • *
  • Posts: 28
  • Karma: +5/-0
    • View Profile
Re: Upgrade from Zentyal 6.2 to 7.0 is now available
« Reply #2 on: March 08, 2021, 10:56:23 pm »
Hi All!

I run the upgrade from 6.2.2 to 7.0 and currently the webadmin is not started with a follwing error message:
nginx: [emerg] SSL_CTX_use_certificate("/var/lib/zentyal/conf/ssl/ssl.pem") failed (SSL: error:140AB18F:SSL routines:SSL_CTX_use_certificate:ee key too small)

How can i solve this issue?

Can somebody help?

BR,
GáborS
Modify message

blorente

  • Zentyal Staff
  • Zen Apprentice
  • *****
  • Posts: 21
  • Karma: +69/-0
    • View Profile
Re: Upgrade from Zentyal 6.2 to 7.0 is now available
« Reply #3 on: March 09, 2021, 10:27:17 am »
Hi Gabor,

Please note that you should upgrade from Zentyal 6.2.7. This issue is handled by the release-upgrade script in this line https://github.com/zentyal/zentyal/blob/support/6.2/main/core/src/scripts/release-upgrade#L248, so... the issue probably occurred in a previous upgrade stage, anyway, you have to update every package of your system before launching the script, otherwise the script won't continue (this is handled by the "checkPendingPackages" in L:69). How did you do your upgrade?

 I think you used an outdated version of "release-upgrade"
Zentyal Server Lead Developer

gabor.strama

  • Zen Apprentice
  • *
  • Posts: 28
  • Karma: +5/-0
    • View Profile
Re: Upgrade from Zentyal 6.2 to 7.0 is now available
« Reply #4 on: March 09, 2021, 11:03:19 am »
Hi Blorente!

Sorry but nope, i use the web ui...

I update to the latest version before i tried the upgrade.
The upgrade is started from the web interface....
And under the upgrade i didn't see any major issue....
Some small dependency issue has been occurred but nothing bigger....

BR,
Gábor Strama

blorente

  • Zentyal Staff
  • Zen Apprentice
  • *****
  • Posts: 21
  • Karma: +69/-0
    • View Profile
Re: Upgrade from Zentyal 6.2 to 7.0 is now available
« Reply #5 on: March 09, 2021, 11:26:15 am »
Ok, thats the same, the button of the GUI runs a CGI that executes the release upgrade script, keep in mind that you used an outdated script because the latest and proved release script for 6.2 was released yesterday in zentyal-core 6.2.7 in https://github.com/zentyal/zentyal/commit/225ac49fd6c0aeeb9bba139aea290a7e2c4ca3c0

The issue that you suffer occurs because the new version of nginx needs a longer key than the old, if you already have an updated version of zentyal core (7.0.x) you'll need to run

rm -rf /var/lib/zentyal/conf/ssl
/usr/share/zentyal/create-certificate /var/lib/zentyal/conf/ssl `hostname --fqdn`

Anyway, if you have a backup, restore it, update your system to the latest 6.2.x version of every package and run again the upgrade.
Zentyal Server Lead Developer

gabor.strama

  • Zen Apprentice
  • *
  • Posts: 28
  • Karma: +5/-0
    • View Profile
Re: Upgrade from Zentyal 6.2 to 7.0 is now available
« Reply #6 on: March 09, 2021, 12:08:07 pm »
Dear Blorente!

Thank You!
The command is solve my problem.
But as i told earlier i run the apt update and apt upgrade command two times and i didn't see an pending update.

But THX again!

BR
GáborS


Luke

  • Zen Monk
  • **
  • Posts: 66
  • Karma: +2/-0
    • View Profile
Re: Upgrade from Zentyal 6.2 to 7.0 is now available
« Reply #7 on: March 10, 2021, 01:19:05 pm »
Hi!

I upgraded our second server, everything seems fine with no errors. But the webgui and network is not working at all. Anyone who have some suggestions ? Thanks ! :)

AntiAntiSysOps

  • Zen Apprentice
  • *
  • Posts: 8
  • Karma: +0/-0
    • View Profile
Re: Upgrade from Zentyal 6.2 to 7.0 is now available
« Reply #8 on: March 11, 2021, 05:49:42 am »
Well as luck would have it I just hosed out my only server.
DNS wont upgrade:
Code: [Select]
sudo apt-get install zentyal-core
Reading package lists... Done
Building dependency tree       
Reading state information... Done
zentyal-core is already the newest version (7.0.0).
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 zentyal-dns : Depends: zentyal-core (< 7.0.0) but 7.0.0 is to be installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).

sudo apt --fix-broken install
attempts to upgrade zentyal-dns but fails
Code: [Select]
Preparing to unpack .../zentyal-dns_7.0.0_all.deb ...
Unpacking zentyal-dns (7.0.0) over (6.2.0) ...
dpkg: error processing archive /var/cache/apt/archives/zentyal-dns_7.0.0_all.deb (--unpack):
 trying to overwrite '/etc/bind/db.root', which is also in package bind9 1:9.11.3+dfsg-1ubuntu1.14
Errors were encountered while processing:
 /var/cache/apt/archives/zentyal-dns_7.0.0_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

sudo dpkg --configure -a does not solve it
sudo apt-get autoremove does not solve it:
Code: [Select]
sudo apt-get autoremove
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 zentyal-dns : Depends: zentyal-core (< 7.0.0) but 7.0.0 is installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).

I attempted to update since I have been seeing the "Update to 7.0" in the gui for maybe 6 weeks.
But as I read that was just a screw up on the developers side and somehow that was popping up when it should not have been.

Not really sure what to do now, besides just rebuild and waste the rest of my week and the clients time.

DNS will not install, logins won't function, and Domain Controller and File Sharing is not installed now.

Any ideas???? Doubt I can roll back in any way.

UPDATE:
Success, I rolled back.
Edited sources.list, removed 7.0
removed Zentyal, sudo apt-get remove zentyal-core zentyal-software
re-installed it all
Had to hack DNS to get out and install again
Edited resolve.conf, added upstream router as DNS
sudo apt-get update (->>it worked so I know DNS is resolving)
sudo apt-get zentyal-core zentyal-software
Installs the basics, screws up resolve.conf again, so can't install Domain, NTP (what I use and need)
Edited resolve.conf again as above
Via the Zentyal Gui, install Domain Controller and File Sharing, NTP
Installs successfully.
All users, groups, computers are in place.
----
Only issue is I can't map drives. I assume I can re-attach the workstation(s) and that will fix it, which is a pain in the ass, but better than rebuilding the entire domain from scratch.
Working on the issue. Can't ping by FQDN, I'll go back though and test that path, make sure DNS is setup correctly.

« Last Edit: March 11, 2021, 07:33:15 am by AntiAntiSysOps »

hexbary

  • Zen Apprentice
  • *
  • Posts: 1
  • Karma: +0/-0
    • View Profile
Re: Upgrade from Zentyal 6.2 to 7.0 is now available
« Reply #9 on: March 11, 2021, 12:00:44 pm »
When can I upgrade from 6.2 to 7.0 without any problems???

raydelgg

  • Zen Apprentice
  • *
  • Posts: 3
  • Karma: +0/-0
    • View Profile
Re: Upgrade from Zentyal 6.2 to 7.0 is now available
« Reply #10 on: March 11, 2021, 10:34:27 pm »
My zentyal-core is updated to 6.2.7 but not show the Upgrade button on the Dashboard

acon

  • Board Moderator
  • Zen Samurai
  • *****
  • Posts: 449
  • Karma: +17/-0
    • View Profile
Re: Upgrade from Zentyal 6.2 to 7.0 is now available
« Reply #11 on: March 12, 2021, 04:16:12 pm »
The ugrade to Zen7 button is offered again, but if you pust it, in the upgrade windows it says "This will upgrade your Zentyal 6.0 to Zentyal 6.2 Community edition"...
Tested on 2 servers

blorente

  • Zentyal Staff
  • Zen Apprentice
  • *****
  • Posts: 21
  • Karma: +69/-0
    • View Profile
Re: Upgrade from Zentyal 6.2 to 7.0 is now available
« Reply #12 on: March 12, 2021, 04:27:44 pm »
Hi all,

Thanks for the feedback. Until now we have not been able to reproduce issues in the upgrade process itself (few issues that were affecting deployments with multiple DCs have been fixed now). What is very important is that you have the system fully updated and in the latest version (6.2.7) and also, that you have Internet connection (network connectivity issues might cause errors in the upgrade process). Please also make a full backup and have a roll-back procedure in place before upgrading.

BR.
Zentyal Server Lead Developer

blorente

  • Zentyal Staff
  • Zen Apprentice
  • *****
  • Posts: 21
  • Karma: +69/-0
    • View Profile
Re: Upgrade from Zentyal 6.2 to 7.0 is now available
« Reply #13 on: March 12, 2021, 04:57:17 pm »
The ugrade to Zen7 button is offered again, but if you pust it, in the upgrade windows it says "This will upgrade your Zentyal 6.0 to Zentyal 6.2 Community edition"...
Tested on 2 servers

Thanks! fixed in 6.2.8 ;)
Zentyal Server Lead Developer

Luke

  • Zen Monk
  • **
  • Posts: 66
  • Karma: +2/-0
    • View Profile
Re: Upgrade from Zentyal 6.2 to 7.0 is now available
« Reply #14 on: March 12, 2021, 05:13:40 pm »
We are up and running and fixed the issue with this commands!

sudo rm -rf /var/lib/zentyal/conf/ssl
sudo /usr/share/zentyal/create-certificate /var/lib/zentyal/conf/ssl `hostname --fqdn`
sudo systemctl start zentyal.webadmin-nginx.service